Is it worth supporting older iOS?

Moderator
Posts: 697
Joined: 2002.04
Post: #1
(Okay, I'm assuming iOS 4 a free upgrade for both iPhone and iPod touch in all territories; if that assumption is incorrect, please let me know Smile)

Given that iOS 4 is a free upgrade for both iPhone and iPod touch, I'm just wondering what people's thoughts are with regards to whether it is worth supporting older iOS? I'm aware that 1G iPhones and iPod touches are not supported by iOS 4, but does anybody have any statistics with regards to what percentage of the iOS market consists of those devices? (I know that people have posted such statistics in the past - my search-fu is weak today Annoyed)

Mark Bishop
--
Student and freelance OS X & iOS developer
Quote this message in a reply
Member
Posts: 351
Joined: 2002.04
Post: #2
I was under the impression that Apple would no longer be approving new apps and updates which are compiled for lower than iOS4.0. But I could be wrong about this and now can't find the reference. Can anyone else clarify?
Quote this message in a reply
Luminary
Posts: 5,143
Joined: 2002.04
Post: #3
My understanding is that you can support iOS 3.0 and later in new submissions, but you must build against the iOS 4 SDK...
Quote this message in a reply
Member
Posts: 351
Joined: 2002.04
Post: #4
Ah ok, thanks for the clarification OneSadCookie.

In that case from my personal view I would still support 3.0 for the moment. Simply because people can take time to upgrade even for a free update.
Quote this message in a reply
Sage
Posts: 1,482
Joined: 2002.09
Post: #5
I think the number of 1G iPod users is still substantial. iirc it was 10%-ish from a presentation I saw at GDC. (Ask aarku, it was his presentation) I still have a 1G iPod and know 3 other people that do as well. Unlike with the phone which is on a contract, there isn't really a strong motivation to upgrade an iPod.

Scott Lembcke - Howling Moon Software
Author of Chipmunk Physics - A fast and simple rigid body physics library in C.
Quote this message in a reply
Moderator
Posts: 771
Joined: 2003.04
Post: #6
I'm planning on buying an iPhone 4 once it arrives here (supposedly, September) otherwise I'll probably be seriously considering downgrading my iPhone 3G to OS 3.1.3. iOS 4 runs horribly. It's not just third party apps that randomly crash, which to some extent I was expecting, but Apple's own apps now take forever to load, have choppy animation and generally very poor responsiveness.

I'm sure there will be a lot of people with 3G iPhones and 2nd gen iPod Touch that won't upgrade to iOS 4 even though they could if they have seen the effect it had on a friends 3G or 2nd gen iPod.

Of course, maybe Apple will release a 4.0.1 that solves most of these issues, but I doubt it, and gaining "folders" doesn't seem like a good enough reason to upgrade given the awful performance problems on old(ish) devices.
Quote this message in a reply
Moderator
Posts: 3,571
Joined: 2003.06
Post: #7
[somewhat off-topic] Wow, that's a pretty scathing review of iOS 4, PowerMacX! The closest I've come to iOS 4 myself is the simulator, so I really don't know much about it. What I do know is that I just paid $500 for an iPad a few months ago, and/so, ironically, I still don't own a device that can run iOS 4, even though it recently came out (my other device is a first gen iPod Touch). As of right now we've received a few reports of Ace Omicron crashing shortly after launch on iOS 4. We still don't know why. I've updated the app to use newer 3rd party tech, but testing is tough because we don't own iOS 4 devices ourselves. The iOS 4 transition has been chaotic from our point of view, as it appears to have flat-out broken our app and we're not comfortably in the position of buying every device Apple puts out, when it comes out, just to maintain instant compatibility.

[on-topic] As far as supporting older OSs, our stats are showing well less than 10% for first gen iPod Touches and iPhones. I'm not sure that's worth supporting, but that doesn't mean folks upgrade just because it's free, so it's a tough call. That said, I'm not personally willing to drop approximately 3.1.2 yet. Now that Apple has disallowed gathering statistics on device and OS version info (as we currently interpret the latest agreement), making this decision is only going to work against Apple, because we will more than likely choose to support older OS's rather than push forward to newer ones as quickly, since we're blind on the stats.
Quote this message in a reply
Post Reply 

Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  Mellel - worth it? stevejohnson 10 4,171 Jun 19, 2007 03:52 AM
Last Post: kordova